## sidekick.enhanced
Class SourceTree.MouseHandler

    java.lang.Object
      java.awt.event.MouseAdapter
          sidekick.enhanced.SourceTree.MouseHandler

All Implemented Interfaces:
  EventListener, MouseListener, MouseMotionListener

Enclosing class:
  SourceTree

protected class SourceTree.MouseHandler
extends MouseAdapter
implements MouseMotionListener

Constructor Summary
`protected` `SourceTree.MouseHandler()`

Method Summary
`void` `mouseDragged(MouseEvent evt)`
`void` `mouseMoved(MouseEvent evt)`
`void` `mousePressed(MouseEvent evt)`

Methods inherited from class java.awt.event.MouseAdapter
`mouseClicked, mouseEntered, mouseExited, mouseReleased`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SourceTree.MouseHandler

    protected SourceTree.MouseHandler()

Method Detail

### mousePressed

    public void mousePressed(MouseEvent evt)

  Specified by:
    `mousePressed` in interface `MouseListener`

### mouseDragged

    public void mouseDragged(MouseEvent evt)

  Specified by:
    `mouseDragged` in interface `MouseMotionListener`

### mouseMoved

    public void mouseMoved(MouseEvent evt)

  Specified by:
    `mouseMoved` in interface `MouseMotionListener`